GNU bug report logs - #40703
Unable to turn off autoarg-kp-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Stefan Kangas <stefan@HIDDEN>; dated Sun, 19 Apr 2020 01:22:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 40703 <at> debbugs.gnu.org:


Received: (at 40703) by debbugs.gnu.org; 5 Oct 2020 07:00:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 05 03:00:00 2020
Received: from localhost ([127.0.0.1]:47585 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kPKTY-0004MI-8x
	for submit <at> debbugs.gnu.org; Mon, 05 Oct 2020 03:00:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39616)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kPKTW-0004M4-41
 for 40703 <at> debbugs.gnu.org; Mon, 05 Oct 2020 02:59:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53598)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kPKTQ-0004vU-Gn; Mon, 05 Oct 2020 02:59:52 -0400
Received: from [176.228.60.248] (port=4127 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kPKTP-0007WH-TG; Mon, 05 Oct 2020 02:59:52 -0400
Date: Mon, 05 Oct 2020 09:59:52 +0300
Message-Id: <83362tduon.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87362trx0u.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 05 Oct 2020 08:45:37 +0200)
Subject: Re: bug#40703: [PATCH] Make autoarg.el obsolete
References: <CADwFkm=NrExBP77W+CYxjTvyVoYfjZ=j39byVc5hhwUXfe5Eew@HIDDEN>
 <83o8rnin4o.fsf@HIDDEN>
 <CADwFkmn69j44tZhYiFeNg2MWokWVy-fkjCYjvCnnkA2SQbTzdw@HIDDEN>
 <875zdv6nb3.fsf@HIDDEN> <83v9lugrhr.fsf@HIDDEN>
 <87a731td4p.fsf@HIDDEN> <874knf16zf.fsf@HIDDEN>
 <87o8lidicc.fsf@HIDDEN> <87362trx0u.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40703
Cc: michael_heerdegen@HIDDEN, stefan@HIDDEN, 40703 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Mon, 05 Oct 2020 08:45:37 +0200
> Cc: Stefan Kangas <stefan@HIDDEN>, 40703 <at> debbugs.gnu.org
> 
> The keypad bits of autoarg do seem like they could be useful, but that
> it doesn't work, and nobody has complained, seems like a hint that
> nobody wants that, either?

I don't think we should make such decisions based on no one's
complaining: I've heard many times that people don't complain about
problems they bump into for any number of reasons.

I think we should decide whether this functionality is useful, and if
so, try to fix it, if that is feasible.  We should only remove it if
we don't consider this useful or if fixing it is not feasible.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40703; Package emacs. Full text available.

Message received at 40703 <at> debbugs.gnu.org:


Received: (at 40703) by debbugs.gnu.org; 5 Oct 2020 06:45:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 05 02:45:53 2020
Received: from localhost ([127.0.0.1]:47550 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kPKFt-00040h-F5
	for submit <at> debbugs.gnu.org; Mon, 05 Oct 2020 02:45:53 -0400
Received: from quimby.gnus.org ([95.216.78.240]:45370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kPKFs-00040U-6L
 for 40703 <at> debbugs.gnu.org; Mon, 05 Oct 2020 02:45:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=rX4DlKf+iJvPsoyznu8HB9cMB8DDEjduN0N4zBdp5uY=; b=FBKPv3nlRaeK0eR46VJ0CkUNoC
 yGhHpfKvLj6Ed9pTZ5n21cqptFsqd7St7qiTl00DsH+3Gx0hvrP7ajwlewVxCCe2ePufxSj49BYtb
 /VA3rbNHp2kM84v02POexEx1ANfEoGmtkkRAG/NwBjDkRAaL+rS+96z/aurmOR+jFCEk=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kPKFf-0004Xv-5B; Mon, 05 Oct 2020 08:45:45 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#40703: [PATCH] Make autoarg.el obsolete
References: <CADwFkm=NrExBP77W+CYxjTvyVoYfjZ=j39byVc5hhwUXfe5Eew@HIDDEN>
 <83o8rnin4o.fsf@HIDDEN>
 <CADwFkmn69j44tZhYiFeNg2MWokWVy-fkjCYjvCnnkA2SQbTzdw@HIDDEN>
 <875zdv6nb3.fsf@HIDDEN> <83v9lugrhr.fsf@HIDDEN>
 <87a731td4p.fsf@HIDDEN> <874knf16zf.fsf@HIDDEN>
 <87o8lidicc.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEXSRjLjSjSrPDBW
 JyPWa1fbi3PkvLT///+l+FD6AAAAAWJLR0QHFmGI6wAAAAd0SU1FB+QKBQYhMJKkQloAAAGnSURB
 VDjL1ZLNbusgEIWJZbJOq3ZPh2ZfgdQ1aQevfW8Z1lEFvP8jdLCJY1v3PkAnSqScj/nhDEL8kjj9
 R+9ACPvyD/BoTgcLe/VQgTbavm3FQ6c02BpmpWshZtHqDdB2HbdSB7xUYKavtmppHkuegDadUvz/
 oemylPIF50iujrCKgUGuP2U3fowMql7SFjQ5ib44IVQHrfkxYc0p7NPrtwKAroGI5Dkl8UkgtaqU
 EJETrtOhanDT+wq4lKfAA7IxG1ByDODHCjalfBYJwPgKOlCtEXmMbvg0oM8uik6JNq6MwSXpreWh
 3OqGfb3bmKRhHfAaF1QdHND5CVTDXAPH6qAUDPhTDRiXUhS875+BH4HJREuGGIKQvpefvKf3hJTX
 N5Ee8S+vcChj7zZAIg4f9jyUP9uF9M8BXcz5mN0OhIDY4xjDab9cj56iK5dFoSmBClvs03E10WQA
 xRKQKK/fQprd4sPo2xLnuM7gym8rFxrvYJyfzygQqWR8WsZ1dcEyc39uwU7dU/S8RsnuMQh3ADPw
 xKNtQDcDanHX2+Jv4LQvdQO3qX4A+7+AFHeY4dQAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjAtMTAt
 MDVUMDY6MzM6NDgrMDA6MDB2N8LgAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIwLTEwLTA1VDA2OjMz
 OjQ4KzAwOjAwB2p6XAAAAABJRU5ErkJggg==
X-Now-Playing: Stereolab's _Margerine Eclipse_: "The Man With 100 Cells"
Date: Mon, 05 Oct 2020 08:45:37 +0200
In-Reply-To: <87o8lidicc.fsf@HIDDEN> (Michael Heerdegen's message of "Sun, 04
 Oct 2020 01:01:55 +0200")
Message-ID: <87362trx0u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > Being
 able to use number pad for e.g. prefix args and numbers on the > first line
 for numbers as self-insert characters is not so unuseful. Do > we have a
 replacement providing such a feature? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40703
Cc: Stefan Kangas <stefan@HIDDEN>, 40703 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Being able to use number pad for e.g. prefix args and numbers on the
> first line for numbers as self-insert characters is not so unuseful.  Do
> we have a replacement providing such a feature?

The keypad bits of autoarg do seem like they could be useful, but that
it doesn't work, and nobody has complained, seems like a hint that
nobody wants that, either?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40703; Package emacs. Full text available.

Message received at 40703 <at> debbugs.gnu.org:


Received: (at 40703) by debbugs.gnu.org; 3 Oct 2020 23:02:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 03 19:02:05 2020
Received: from localhost ([127.0.0.1]:44604 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kOqXV-0001Tt-Ci
	for submit <at> debbugs.gnu.org; Sat, 03 Oct 2020 19:02:05 -0400
Received: from mout.web.de ([212.227.15.4]:48653)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1kOqXT-0001TN-Un
 for 40703 <at> debbugs.gnu.org; Sat, 03 Oct 2020 19:02:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1601766117;
 bh=mV/PMrzht9mzfak1lbztzwdiMXuPQdUh10xgvMgfErI=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=lmyt7bSWAO38F5ft5AgV6YD46QhSpCNRUCnsLBN/Hbwy16o7Myb7W8NoiNPog6+Tp
 VY4zSRq8PcWURIWMV0DzjXmmhsADp33cl/QVozI3FToGyPYsEfUd61BfPIOaklXqv2
 mWxt2oNwqw6NYHgLO0CytGEP8Q9UFgKv1FBt8lFk=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.220.78]) by smtp.web.de (mrweb001
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MdLcJ-1k7adS0fZb-00IWrS; Sun, 04
 Oct 2020 01:01:57 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#40703: [PATCH] Make autoarg.el obsolete
References: <CADwFkm=NrExBP77W+CYxjTvyVoYfjZ=j39byVc5hhwUXfe5Eew@HIDDEN>
 <83o8rnin4o.fsf@HIDDEN>
 <CADwFkmn69j44tZhYiFeNg2MWokWVy-fkjCYjvCnnkA2SQbTzdw@HIDDEN>
 <875zdv6nb3.fsf@HIDDEN> <83v9lugrhr.fsf@HIDDEN>
 <87a731td4p.fsf@HIDDEN> <874knf16zf.fsf@HIDDEN>
Date: Sun, 04 Oct 2020 01:01:55 +0200
In-Reply-To: <874knf16zf.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 30 Sep 2020 19:59:00 +0200")
Message-ID: <87o8lidicc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:MzwEW97RRvDslFSzNgw1QedlJmKRePxKVadlxg7g+n+FJ0AdtPq
 7vcaO32vFTVc7J/1EpEam2lFXW0nHZPMSRYIvKHT5YbFhCJ9h18Vy1cBesPyyC4gVw4tTWJ
 AwWd2GgVIN8sSgBbpXln+WksM8o0WB9Nhw4WAKVBIyg0Ni7hx+arkwMfFu3HdDhBBChVe9h
 7Dh2FciLtmGl+qDzWcAYA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:P9VAaw2LT0U=:5PaKSvWbQXICMuh9JkxB+p
 97kF/UZnogUOUX4sAORQMGi6HtC5I1zfQwYhE4TAC7GovsCRSQJv5tLpmmXN+IfARAF2uuytk
 AM3kAI9wUh8mztdAH38g6IaKlcdYCM592Na+XK4ruxttontjzv/hSUYwUwpF6oa2bP+SMNXfc
 fYtPkigvHiubhOKZaUND0mlJff0WPC4miVHhEU6/OYY+6HsN5pSnZBa8wkHYlfsfdGdYTqcbh
 BmB4VJ1OPLuDOtkQmatL5BOa7Th1UGJLk4ukd1utOSVS9ao5RM/xDlVeSOQ7nudYL2FbIDd7E
 DZPYsCPigipfUUHHgTDcmEuoG3kneCT/UjDsEg5sL2w7lCh9rb00LoVzytlIyiUaqn0QfIWU8
 SHCnBsIgJhItuhq6ZV4dO9xqHE/dUf2dpO+pJncG3W9+L6Wao7ZnbVUerbnBq/Hv3HVB6vUc7
 9fYns98mDbFdSJegjuEO+vAr+15EzP5pd3OQ7h6x8xT548C4PjQK+jP+jMCdOC1IUiVGh50eX
 t1DGgDCUHNv0DiaXqLfB1ZxUBcPk/K+zTKMBt2k3+9PNcAwZ8dOlJFYltM0yZzXaE6Pn2GOiN
 o3v5neWmmN6aab2+w6Q3JZWIGzi/h3SlrJop3q8tFcdVn3uHsj0EVTHCEhWCDO1642GEj+b2Q
 /AHZlef1whXrzvk1LJl+UYZD9H09FkvyaiDXpPtJNV+0+EsIvbDTYSTmZm5deVnLqjrDSoNRx
 hsF0+G8XuDNDu90x9FCL4dL8JA2YeTV9f/zElzn2NRYc2rWkJwyMgH7f2K6QPW4UIlYxmXY06
 Om0VlRAve6x8JO1ySsnxuwFsCViGwq/uZ2visd5/oDtJgByPZo8XWLOjC8g0XLoze6IOMm0Y0
 PA0g8DzgQslmr93Udl7jN2ultHzG6vwKDFqAm+ceGU+B8JTm0IPZnOAiVS9kqdsGBatehNilw
 E18WEw6hh5PhuLcnsTyHDIJwkc7mZ9SBYKdtPmqArhsJCnBFwTWHlbieLg28Nzqd2hfS9eceY
 RBlsasI7TYw6N9fYG0DqsFRU9Ldea0CVQkwdnQniXMfKSYMQABn6PlMeZhrBLhC4SbLy6MKe2
 9m+ry5y+JWKgXQ4daJB0bPUw0rSLI+ScTnOaifeacGpRRQMV3crWd4AB1fUbFLbeILEy3iEzK
 bX3V3OzVAXXiBM9Z4Jf9+/JMQdf3Ca/Ct585GFU4v4y7UvBfxYPHb3jydoVoQI38h5tnsJpno
 neSTMDOZ6QDV3JJo6WI37Zr7Yjktv7UqWUHl4Eg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40703
Cc: Stefan Kangas <stefan@HIDDEN>, 40703 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I agree with you.  It's a feature that clearly doesn't work, which
> should be a good indication that nobody uses it.  Doesn't work + Nobody
> uses it spells "should be obsoleted" to me.  (I may be using the wrong
> dictionary here, though.)

Being able to use number pad for e.g. prefix args and numbers on the
first line for numbers as self-insert characters is not so unuseful.  Do
we have a replacement providing such a feature?

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40703; Package emacs. Full text available.

Message received at 40703 <at> debbugs.gnu.org:


Received: (at 40703) by debbugs.gnu.org; 30 Sep 2020 17:59:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 30 13:59:19 2020
Received: from localhost ([127.0.0.1]:33047 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNgNr-0005H7-0e
	for submit <at> debbugs.gnu.org; Wed, 30 Sep 2020 13:59:19 -0400
Received: from quimby.gnus.org ([95.216.78.240]:48144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kNgNn-0005Go-7R
 for 40703 <at> debbugs.gnu.org; Wed, 30 Sep 2020 13:59:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=jJtUge2sFma7Cbppqt2wd9IW5NRL99XcG/L1fyTktSA=; b=bkuqSmeofAX8cAmc9fpqaVLp+t
 etbjzQaLB6pvRX4ErnWXU6yx4Bioj7bU0iYliZYLhJzYZbcIzHfxcZTWmtUN7yZRaSFfRDSAEKnA9
 ijoSwdexDwLvWEsEQ72JyaoNAL7YzbkngdpsJfmFC+mSJQ58xw3riQ0Ir/pYEIdR6j0k=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kNgNa-0004DC-2m; Wed, 30 Sep 2020 19:59:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#40703: [PATCH] Make autoarg.el obsolete
References: <CADwFkm=NrExBP77W+CYxjTvyVoYfjZ=j39byVc5hhwUXfe5Eew@HIDDEN>
 <83o8rnin4o.fsf@HIDDEN>
 <CADwFkmn69j44tZhYiFeNg2MWokWVy-fkjCYjvCnnkA2SQbTzdw@HIDDEN>
 <875zdv6nb3.fsf@HIDDEN> <83v9lugrhr.fsf@HIDDEN>
 <87a731td4p.fsf@HIDDEN>
X-Now-Playing: Laub's _Unter Anderen Bedingungen als Liebe_: "Grau"
Date: Wed, 30 Sep 2020 19:59:00 +0200
In-Reply-To: <87a731td4p.fsf@HIDDEN> (Stefan Kangas's message of
 "Fri, 24 Apr 2020 12:02:46 +0200")
Message-ID: <874knf16zf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Kangas <stefan@HIDDEN> writes: > FWIW, I still
 think this mode is more of a historical musing than it > is useful. But I
 accept that I'm in a minority here. I agree with you. It's a feature that
 clearly doesn't work, which should be a good indication that nobody uses it.
 Doesn't work + Nobody uses it spells "should be obsoleted" to me. (I may
 be using the [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40703
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 40703 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> FWIW, I still think this mode is more of a historical musing than it
> is useful.  But I accept that I'm in a minority here.

I agree with you.  It's a feature that clearly doesn't work, which
should be a good indication that nobody uses it.  Doesn't work + Nobody
uses it spells "should be obsoleted" to me.  (I may be using the wrong
dictionary here, though.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40703; Package emacs. Full text available.
Severity set to 'minor' from 'wishlist' Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'Unable to turn off autoarg-kp-mode' from '[PATCH] Make autoarg.el obsolete' Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Removed tag(s) patch. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40703 <at> debbugs.gnu.org:


Received: (at 40703) by debbugs.gnu.org; 24 Apr 2020 10:03:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 24 06:03:03 2020
Received: from localhost ([127.0.0.1]:56441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRvAl-0007qJ-Fz
	for submit <at> debbugs.gnu.org; Fri, 24 Apr 2020 06:03:03 -0400
Received: from ted.gofardesign.uk ([67.225.143.91]:60900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>)
 id 1jRvAg-0007pi-Kq; Fri, 24 Apr 2020 06:03:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ki8Wlo9By1mB30v6syN3lMSK3vn2wD/PYphtV+ixJrM=; b=BUsSeurDB5ZpFAoYxZeiStDhqR
 gaSWNCGrcsqAeJ7/33Y5Zre2AmfAR6MD5/wbIEAYL6o1pUopUK6/Z5+xxyayX842A7URalB6lJlYb
 2hx3y2gM/YGuTAdNPeHHMjcwVBmi0bCbASc4yCpOu4fUGgXVzvIXRDfEBxRAH8iLYEcBkXZ4zdW6s
 hAREZK6Iecy960aX88gr/cqHVZF2HXB28i4uYWMDkk+ppFq8QZ4ytn6C/6sMAEoXVa1yfDLb/YNvw
 P3hvFUej3m3JFlzXFbDne0gAaN+gB+lEWWeGxV1EOR5zzOjCCQc4nKVQGigocRu4od2MvvX0dSPJK
 +7UKowZA==;
Received: from h-4-70-69.a785.priv.bahnhof.se ([155.4.70.69]:47598
 helo=localhost) by ted.gofardesign.uk with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.93)
 (envelope-from <stefan@HIDDEN>)
 id 1jRvAW-001EhM-IC; Fri, 24 Apr 2020 06:02:48 -0400
From: Stefan Kangas <stefan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#40703: [PATCH] Make autoarg.el obsolete
In-Reply-To: <83v9lugrhr.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 20 Apr
 2020 17:29:36 +0300")
References: <CADwFkm=NrExBP77W+CYxjTvyVoYfjZ=j39byVc5hhwUXfe5Eew@HIDDEN>
 <83o8rnin4o.fsf@HIDDEN>
 <CADwFkmn69j44tZhYiFeNg2MWokWVy-fkjCYjvCnnkA2SQbTzdw@HIDDEN>
 <875zdv6nb3.fsf@HIDDEN> <83v9lugrhr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Fri, 24 Apr 2020 12:02:46 +0200
Message-ID: <87a731td4p.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40703
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 40703 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 40703 - patch
retitle 40703 Unable to turn off autoarg-kp-mode
thanks

Eli Zaretskii <eliz@HIDDEN> writes:

>> FWIW, I think the mode is potentially useful.  It would be more useful
>> if there would be a local version, and if enabling autoarg-mode would
>> still allow me to enter digits with the keypad (i.e. the other way than
>> autoarg-kp-mode, because e.g. ...what? mhmm, I wanted to write an
>> example including integers but I can't enter them anymore, I can't turn
>> off autoarg mode.  It's just broken.  Will restart Emacs.
>
> Maybe we should just fix it so the mode could be turned off, then.

OK, I'm updating the bug to reflect that.

FWIW, I still think this mode is more of a historical musing than it
is useful.  But I accept that I'm in a minority here.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40703; Package emacs. Full text available.

Message received at 40703 <at> debbugs.gnu.org:


Received: (at 40703) by debbugs.gnu.org; 20 Apr 2020 14:29:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 20 10:29:49 2020
Received: from localhost ([127.0.0.1]:48192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jQXQi-0002jJ-W9
	for submit <at> debbugs.gnu.org; Mon, 20 Apr 2020 10:29:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44272 helo=eggs1p.gnu.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jQXQg-0002j5-Vd
 for 40703 <at> debbugs.gnu.org; Mon, 20 Apr 2020 10:29:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48174)
 by eggs1p.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jQXQb-00033a-Kx; Mon, 20 Apr 2020 10:29:41 -0400
Received: from [176.228.60.248] (port=2497 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jQXQZ-00007g-W1; Mon, 20 Apr 2020 10:29:41 -0400
Date: Mon, 20 Apr 2020 17:29:36 +0300
Message-Id: <83v9lugrhr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
In-Reply-To: <875zdv6nb3.fsf@HIDDEN> (message from Michael Heerdegen on Mon,
 20 Apr 2020 01:57:52 +0200)
Subject: Re: bug#40703: [PATCH] Make autoarg.el obsolete
References: <CADwFkm=NrExBP77W+CYxjTvyVoYfjZ=j39byVc5hhwUXfe5Eew@HIDDEN>
 <83o8rnin4o.fsf@HIDDEN>
 <CADwFkmn69j44tZhYiFeNg2MWokWVy-fkjCYjvCnnkA2SQbTzdw@HIDDEN>
 <875zdv6nb3.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40703
Cc: stefan@HIDDEN, 40703 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Michael Heerdegen <michael_heerdegen@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  40703 <at> debbugs.gnu.org
> Date: Mon, 20 Apr 2020 01:57:52 +0200
> 
> FWIW, I think the mode is potentially useful.  It would be more useful
> if there would be a local version, and if enabling autoarg-mode would
> still allow me to enter digits with the keypad (i.e. the other way than
> autoarg-kp-mode, because e.g. ...what? mhmm, I wanted to write an
> example including integers but I can't enter them anymore, I can't turn
> off autoarg mode.  It's just broken.  Will restart Emacs.

Maybe we should just fix it so the mode could be turned off, then.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40703; Package emacs. Full text available.

Message received at 40703 <at> debbugs.gnu.org:


Received: (at 40703) by debbugs.gnu.org; 20 Apr 2020 01:28:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 19 21:28:07 2020
Received: from localhost ([127.0.0.1]:46293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jQLEE-0006ii-Os
	for submit <at> debbugs.gnu.org; Sun, 19 Apr 2020 21:28:06 -0400
Received: from mout.web.de ([212.227.17.12]:48737)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1jQLE9-0006i7-TF
 for 40703 <at> debbugs.gnu.org; Sun, 19 Apr 2020 21:28:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1587346074;
 bh=aoFf9xZW84hLI9mW4rh9bSd0+Dr6pJi8nOPCgxp7AKo=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=CZcJYvohh8DmtGc0UEMMaFBSAM3a1UZ6fqXx3xG77928x1Lmb+iewrTfG284KLrUM
 sdolP8T0z8IjUTERuDxoY5oQBwoVLhMpGFxSZIRcuWU3PcFASVMiWBqbhtNouRDC7X
 Ha4tp9OQrsuQfD7bL3SDgMg9Gqn4/Efls+m64CxM=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([188.98.99.7]) by smtp.web.de (mrweb102
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0Maayz-1jfwIa3UzZ-00KBSA; Mon, 20
 Apr 2020 03:27:53 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#40703: [PATCH] Make autoarg.el obsolete
References: <CADwFkm=NrExBP77W+CYxjTvyVoYfjZ=j39byVc5hhwUXfe5Eew@HIDDEN>
 <83o8rnin4o.fsf@HIDDEN>
 <CADwFkmn69j44tZhYiFeNg2MWokWVy-fkjCYjvCnnkA2SQbTzdw@HIDDEN>
 <875zdv6nb3.fsf@HIDDEN>
 <CADwFkm=BxN-+rgqK_c_q-h6uBwB+KTkbaqfPf9R5FN13fFDG_w@HIDDEN>
Date: Mon, 20 Apr 2020 03:27:55 +0200
In-Reply-To: <CADwFkm=BxN-+rgqK_c_q-h6uBwB+KTkbaqfPf9R5FN13fFDG_w@HIDDEN>
 (Stefan Kangas's message of "Mon, 20 Apr 2020 02:57:16 +0200")
Message-ID: <87blnnaquc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:L1jNyG26kC3Z4aKia0wrzA+q6aEghYCNHtSQ3gpaAsFiuDQhXvH
 c16cM459TQCcPdSjEQUgbaJNE8VjSzx7+bVeL9YpSStzcxYcdjh425YI5Z4BAEEeDNwENfT
 bYrrkE2inY1Qz1sZR7lz2UBz/yRhJCz7wrV2Aax0011LeoAjo5dTofG7zzILLF+THIKh/Bw
 CWnHihEfABYcVqPqF0apA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:uWg8RdGLkOI=:NwGH2YO5Ut42KdSZ0DDKF3
 8cnsdzhJSmlgB9Q+lv6TJRL3FAB/CrNiS1xIRA9r0CdR5WHwhXCx/+N1w6kUgNawhe2bUchwW
 WnxIKAoteK/RQ2Cc192gxMKd3ul12xigbog2f4avNUSacR7ynE3hPkCSzJ9bTVdZVQREkYVha
 DF/KNNjlhbKJhdkjcSd/6Xr31iJCAeYyO89DGPtsAXaVT9Rc91WcRpyrfLJF/eUxMdjQs4VYN
 gB/vC3vdbRMf2+SLm8VocxBAEccKeh/oUqmZtSbrgaDf9CAnyDFusiWXWYu+xyZC6SMwFdz46
 SzPBaM55jh5rTdcmGwD4S4GGMvoF1sUILW+EGl0BQnPnaNB23/jKNiZYZTZIUutB9qUDuuK3K
 2vx5r3QXH7CahSQuOGaTk7EoLoejYF/GgJYlaphbPSqFqDabMlw6A0uu3Q/EaH/9MCcnOSe1k
 L+KZrM/1QVu75gMBqmn21BT9p/5nlmqrYesgKeieFWGVLCjwIzTkpcEsqcNKgu/ysShwMJa4t
 8A4vEaL0mTXfkeXKKto9ewkroZkvcBNgriU1A9mnpENrqz38xBR+IF0+6NuwFEou9ndBrYCOr
 5YUcaIVS1c8JvpDxzy1NOZEwbGBL78MGbR62/gClmlD0o9gVKzHYzwCo3smmOPtV+b1pxRuMt
 prNHlQJNmzR4AYqSbzkFDPHeAid7DYuMhWs+K31fuQlUpKLLxBv3M3HcTenLKbabzpfuY3tDW
 Votj58EbOluo0s0OWgSMiW8AhqvoD5ov5Jn4PVzwK1cqa6JvPLsU9av+t7VsTaSZvLuBlQG3A
 zvm43imIOgRpBpBx3ACD4jkjQX+JyJ+XXXL4PGjKdMFxzeJG/C183LJoqlloLaq7dBolNVez2
 gRAqjAhOzktCZ9z1KjxheRshAI9g5/iN3LkgOfC4Qr1qOafwRl8eKx6edcouX4CAN5g1PSbtl
 dy3zDDBCmDiMvdiuwWOzjCd0yp+c7FbfOdabrd2zOCHAbeKaov7/ygyFTiyf3hMIHTqvec4eH
 ZB7C3d6rpt3MHWIOchHRXdfje/yN4imY8DhvUMmtjVizLfqIpeJyERyJJKfXlm0dDtNGavsUi
 mwS2UBy+YngRlsql8jWKTQ9edk+FSJtzURROiziLsu2U6nPUNyY4rnUhhakjtG8PXUqvlV8Ox
 AOrODFYXT80Oq1eC5/l3cGX8t919fTN5sNzilHlUM5u0Ru92LGMz+E7T0I7anMcqDB6tOT3e1
 dV93Lfrjuf2R6nOmn
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40703
Cc: Eli Zaretskii <eliz@HIDDEN>, 40703 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> It sounds like you see the same thing as me.

Exactly.

(defun autoarg-kp-digit-argument (arg)
  [...]
  (setq overriding-terminal-local-map universal-argument-map)) ;; <---

That's not good.  u-a-map contains the normal number keys (first
problem), and the overriding-terminal-local-map is never uninstalled
(that's why it can't be turned off).

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40703; Package emacs. Full text available.

Message received at 40703 <at> debbugs.gnu.org:


Received: (at 40703) by debbugs.gnu.org; 20 Apr 2020 00:57:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 19 20:57:35 2020
Received: from localhost ([127.0.0.1]:46282 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jQKkh-0005zO-5n
	for submit <at> debbugs.gnu.org; Sun, 19 Apr 2020 20:57:35 -0400
Received: from mail-yb1-f170.google.com ([209.85.219.170]:38130)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1jQKkf-0005zC-9T
 for 40703 <at> debbugs.gnu.org; Sun, 19 Apr 2020 20:57:33 -0400
Received: by mail-yb1-f170.google.com with SMTP id l5so4502446ybf.5
 for <40703 <at> debbugs.gnu.org>; Sun, 19 Apr 2020 17:57:33 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=MeUGmMGz+j+RuR1N/daru5h9KJsjj0/ZwkOTulHj0Dw=;
 b=djf6Vvdy5d5hvED+jKfsMhVC+BihE/YCYSX0od/4Tvj5vAnoMmXEivCKtWOGa+nkAi
 AXZmY5ULDwGwHVWqylfoGJ+aiFwD/N/gpkFIJYtJvLDDUwHAGTDpcRan2Q5iKiQtn35t
 i2VI+FLcEsSaPEvZssblZYYfgWpbGgf5gUUyjp1hjNC2BYCFC3vhUwEelBxzLXS+KY07
 BOJb5JdxRTuzVUyTaftwE4xXf9DszJWJVZ5Zm5TtUs7C/fDoUxSnSxpMHjm4wvSsbh9n
 nrnOT8qeuQj893lphPuug69TTVJUgYNqqD05neWdMwlAJW7DI9QRiKHhdEMAUymXFLVg
 73LA==
X-Gm-Message-State: AGi0PuYn/zS7g77Gh59ouxdH0gQLv0pmq0JQnovuy4bkrC/YztUDPira
 RfNk0GyjgQPLLphf8aP0jp4I8+fcPzy/xvpIn2s=
X-Google-Smtp-Source: APiQypIq6aWU+iDtmRBupNz+O0CWP+j+jnI9s4WINjIk17WQOTeSuy9cGcW5y3AQNNa3jAWL/N28q+v87p/bqwgiEy0=
X-Received: by 2002:a25:492:: with SMTP id 140mr15678693ybe.466.1587344247507; 
 Sun, 19 Apr 2020 17:57:27 -0700 (PDT)
MIME-Version: 1.0
References: <CADwFkm=NrExBP77W+CYxjTvyVoYfjZ=j39byVc5hhwUXfe5Eew@HIDDEN>
 <83o8rnin4o.fsf@HIDDEN>
 <CADwFkmn69j44tZhYiFeNg2MWokWVy-fkjCYjvCnnkA2SQbTzdw@HIDDEN>
 <875zdv6nb3.fsf@HIDDEN>
In-Reply-To: <875zdv6nb3.fsf@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Mon, 20 Apr 2020 02:57:16 +0200
Message-ID: <CADwFkm=BxN-+rgqK_c_q-h6uBwB+KTkbaqfPf9R5FN13fFDG_w@HIDDEN>
Subject: Re: bug#40703: [PATCH] Make autoarg.el obsolete
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 40703
Cc: Eli Zaretskii <eliz@HIDDEN>, 40703 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> > Well, as it stands 'autoarg-kp-mode' is broken.  It enables
> > 'autoarg-mode', which kind of defeats the point of having a separate
> > mode to only enable this behaviour for the keypad.
>
> Not for me.  Works here.  Are you sure?

In "emacs -Q" using 26.1:

M-x autoarg-kp-mode
    Message: Autoarg-Kp mode enabled
[regular 2] a
   Buffer contents: 2a
[keypad 2] a
    Buffer contents: 2aaa
[regular 2] b
    Buffer contents: 2aaabb
M-x autoarg-kp-mode
    Message: Autoarg-Kp mode disabled
[keypad 2] c
    Buffer contents: 2aaabbcc
[regular 2] d
    Buffer contents: 2aaabbccdd
M-x autoarg-mode
   Message: Autoarg mode enabled
... same behaviour as above
M-x autoarg-mode
   Message: Autoarg mode disabled
... it's still not disabled

So actually the breakage here is worse than what I initially
described, since autoarg-kp-mode also can't be disabled.

autoarg-mode seems to toggle correctly though.

> mhmm, I wanted to write an
> example including integers but I can't enter them anymore, I can't turn
> off autoarg mode.  It's just broken.  Will restart Emacs.

It sounds like you see the same thing as me.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40703; Package emacs. Full text available.

Message received at 40703 <at> debbugs.gnu.org:


Received: (at 40703) by debbugs.gnu.org; 19 Apr 2020 23:58:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 19 19:58:00 2020
Received: from localhost ([127.0.0.1]:46243 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jQJp2-0004cA-HI
	for submit <at> debbugs.gnu.org; Sun, 19 Apr 2020 19:58:00 -0400
Received: from mout.web.de ([212.227.15.14]:60029)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1jQJp1-0004bw-0E
 for 40703 <at> debbugs.gnu.org; Sun, 19 Apr 2020 19:57:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1587340671;
 bh=T6yCB/ZtiN1f6VaJzjEbL5a/7Smszxi3VBgF4xfP9Cg=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=k/debK6XD7OEA/zZSMaw9pOD+AUnSrq9bFTMJKvsBOjdFIByQ1u8QtuPXg0hE2zCE
 qNO6v4wCbdB4NSXbzwwP4wAEjy5rwVlLLrmframC0+33FIpxLb/h0Zwk1l4X5T2XE5
 YYXVuGil9otUd5qFqYBQkxaTmWEYDFOoLbNtTmiY=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([188.98.99.7]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MBH5Z-1jYFlS1TBF-00AIRS; Mon, 20
 Apr 2020 01:57:51 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#40703: [PATCH] Make autoarg.el obsolete
References: <CADwFkm=NrExBP77W+CYxjTvyVoYfjZ=j39byVc5hhwUXfe5Eew@HIDDEN>
 <83o8rnin4o.fsf@HIDDEN>
 <CADwFkmn69j44tZhYiFeNg2MWokWVy-fkjCYjvCnnkA2SQbTzdw@HIDDEN>
Date: Mon, 20 Apr 2020 01:57:52 +0200
In-Reply-To: <CADwFkmn69j44tZhYiFeNg2MWokWVy-fkjCYjvCnnkA2SQbTzdw@HIDDEN>
 (Stefan Kangas's message of "Mon, 20 Apr 2020 01:25:51 +0200")
Message-ID: <875zdv6nb3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:45ZFt7ULOAgoHrMKmOnqc2SSIDHxIlMDSAo99v9EsQx44Xw7E2a
 3h+J2XM3EJel51FOSRyVrK6tgUeM/6xu1v3Zg8840MguOxuodYiiyhMy99b5dewkxGaGMuO
 0CqAZdxw51Y/S27KmmkqXgZe7VExhf4Jp6JTfQuT9/z5B6o+5fWTDRqMaSZROqvyyvq5ogL
 R2Adk1z68WqRuTdydl1aQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:q8QXcCNe+LE=:y9eVNgQcMHgvwsWoze+Zy7
 3WKidh7ggpI37UJfYEx0cjzXxxGbECAVYo8AldULwbKDV0D0vyliKK/FJ9ypE+zaaQfqZP/P5
 MCeQMROiYEkxhEOrKIPL+iaw/lTVFEpyCT1vzw28g3JMjbmL+G2stn2ThcDmvT9s3XCXA1FkC
 8dtDG+M7IMjgJYCwzw1JKOfTdg7LjEqUtQXx+QxmtNLenPJ1Nvqw9KVfY9LqfdTy40v4RGUuP
 CQVlj82aUotkEeTlupRKLswUWoUxQpytp96MqakAiVamEi9wXfgN0o+1nJoUCtxO1GDd8NmX/
 O72f0ddnfY3X1bAvSy2c12nsnC6sRPmk8c4HjYuRzAh+IygjNvCce4qSSBgNrlzLs7TGHQuWe
 JfTDJPcSX37LC2t2q37JrekFAYtiABVC/mn9t8x9QxE3YKF3gvo0lFOFjeQwe56H95T++Bhsl
 2O/+va6taOcFD/BQWCd9oEhGrVEZH6M8fkhgqArcHwRodctdnx0efKofTK8OsLWLy7LlT298i
 iAPx463+NuW/z8TUg32BbFgqAcw/3dBIHxasOLmFwp2ZA4UM+Iq07DtfkzvyZ9faMhlbMZCmt
 oO6WDXA+09gBp5wrp5p0r5xjqOWB0tV+/HvJ5kZF1WZLcEp2NUcpLqsTpb2hz7k2VKSRQJWyy
 Mm6Z83dySvDjb+lEYrCtl/MM/95hCC7i3U+MSLvZm3oRXJeluThQo7aBxkhi6ng90InBWRATg
 tMgvgT3oFPHE34uigFMpwY1Jec3JPouLxDhlNXP0vnH4/ynktnn78BQKzBrJbor+z6swuJ1si
 w2IjYOBGI2syvfyE/rcGYfh5rNla/aqHXDsOnxmX0HUAySeTAyiavWqq94tOTKh6hkNO/NI0d
 fz91znDLpUvyAvLCqiTVf8xorFVWiqmSvFKHM44H1sBdFq0wV5VRqDrDwxYBEguJqb/QxtwHA
 OEyb9kNmyUE46Lpzhw5+9Og9GJNb2lLxKWAgz/51hmRI9uJOmU+Z6+IFO9cCCym5yOL+v0XEm
 wf8nijkT/8dT8kG568hbBUvpLvMinbQjCflr3WRzpFdVydhgUNcyYgIQ0Azcz7KVmI0f45TE8
 y58wf8Mt+QmXf1Lc7c6lEvxtn8oMDozyz0EaNql54I/yEqP4tCLed5ou9ZIt7wWodDRb1pF2m
 xmwKTEvs9/neGJBY9i65ji9oGFLvXV6ZTEcDvGdhvUJNHMCxP2dt3wbDOJ/KRrlVBzubvzTmA
 3Sv9gDzPaOjBeTWeC
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40703
Cc: Eli Zaretskii <eliz@HIDDEN>, 40703 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> > Or does this package cause us some maintenance burden?
>
> Well, as it stands 'autoarg-kp-mode' is broken.  It enables
> 'autoarg-mode', which kind of defeats the point of having a separate
> mode to only enable this behaviour for the keypad.

Not for me.  Works here.  Are you sure?

FWIW, I think the mode is potentially useful.  It would be more useful
if there would be a local version, and if enabling autoarg-mode would
still allow me to enter digits with the keypad (i.e. the other way than
autoarg-kp-mode, because e.g. ...what? mhmm, I wanted to write an
example including integers but I can't enter them anymore, I can't turn
off autoarg mode.  It's just broken.  Will restart Emacs.

What I wanted to say was that large numbers are probably easier to type
on the keypad, and they are unlikely to be used as prefix arg.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40703; Package emacs. Full text available.

Message received at 40703 <at> debbugs.gnu.org:


Received: (at 40703) by debbugs.gnu.org; 19 Apr 2020 23:26:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 19 19:26:09 2020
Received: from localhost ([127.0.0.1]:46224 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jQJKD-0003tP-NJ
	for submit <at> debbugs.gnu.org; Sun, 19 Apr 2020 19:26:09 -0400
Received: from mail-yb1-f173.google.com ([209.85.219.173]:42357)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1jQJKB-0003tB-T5
 for 40703 <at> debbugs.gnu.org; Sun, 19 Apr 2020 19:26:08 -0400
Received: by mail-yb1-f173.google.com with SMTP id i16so4399725ybq.9
 for <40703 <at> debbugs.gnu.org>; Sun, 19 Apr 2020 16:26:07 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=LiCDSGxh5yNFOX7+jl8wNH1eYUrCiSTr0Aq801g6mt8=;
 b=VU1lladJG0xVuwu+l2q184BtDXhHhIPbEiwOydGw/QUFdkMdT0iBlOicVT9Hgp1/Z6
 MtL8lq89XrhudtC0Zy4F9DsAyUOU2GjdqvDW42Z5SdCyAyC3Vbb/GwStLCM6SvfktGnR
 rWgzRp3KOLy1syAE7JoLxgYAqu5bl7nJHD5ZEbxYibvGkvD5b+19nJtBO0G/MQVQrU4a
 lcgy3cQ/QxYRDFWDLL6w2TypM+RDT+IER5OL/q4bfVegRv8XQ9XhPYLIOAFTUdqYFvVA
 4eHEdFAjUzRZqhJnsPoeTOSvOYKXQhGSYjp4USNevvHckvkKMX5K6pXs67IoLCcBjry+
 Z0XQ==
X-Gm-Message-State: AGi0PuZW8OOT0jz9waoTbxjuM436PNQV2F38tbGFJlE98LG8tLan4P+x
 n6tlkWTDC13Bf5UFUgwHZEfQDw9RoJrVw/ZU7s8E1rX4ZhQ=
X-Google-Smtp-Source: APiQypKYDrwkRQU3UdNYPDIDDG+oerkX/VZyA0N1gwfIFaiKvOFlMRGChOFZoqbvni86a+KkgAqPjdDb0AJcvUjEQAE=
X-Received: by 2002:a25:fc08:: with SMTP id v8mr14415839ybd.389.1587338762282; 
 Sun, 19 Apr 2020 16:26:02 -0700 (PDT)
MIME-Version: 1.0
References: <CADwFkm=NrExBP77W+CYxjTvyVoYfjZ=j39byVc5hhwUXfe5Eew@HIDDEN>
 <83o8rnin4o.fsf@HIDDEN>
In-Reply-To: <83o8rnin4o.fsf@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Mon, 20 Apr 2020 01:25:51 +0200
Message-ID: <CADwFkmn69j44tZhYiFeNg2MWokWVy-fkjCYjvCnnkA2SQbTzdw@HIDDEN>
Subject: Re: bug#40703: [PATCH] Make autoarg.el obsolete
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 40703
Cc: 40703 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> AFAIR, when we deprecate a package, it's because there's some
> replacement, or because the need is completely absent (e.g., because
> the package caters to some software or part of Emacs that is no longer
> there).  This doesn't seem to be the case, is it?
>
> Or does this package cause us some maintenance burden?

Well, as it stands 'autoarg-kp-mode' is broken.  It enables
'autoarg-mode', which kind of defeats the point of having a separate
mode to only enable this behaviour for the keypad.  I suggest
deprecation as a better alternative than leaving it in a broken state
or spending any time to fix it.

I don't know if that's in line with our deprecation practices, but I
would assume there is some room to make judgement calls.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40703; Package emacs. Full text available.

Message received at 40703 <at> debbugs.gnu.org:


Received: (at 40703) by debbugs.gnu.org; 19 Apr 2020 14:08:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 19 10:08:52 2020
Received: from localhost ([127.0.0.1]:45652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jQAcu-000191-07
	for submit <at> debbugs.gnu.org; Sun, 19 Apr 2020 10:08:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jQAcs-00018o-9t
 for 40703 <at> debbugs.gnu.org; Sun, 19 Apr 2020 10:08:50 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51850)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jQAcm-0007JT-RZ; Sun, 19 Apr 2020 10:08:44 -0400
Received: from [176.228.60.248] (port=1336 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jQAcm-0005FW-6R; Sun, 19 Apr 2020 10:08:44 -0400
Date: Sun, 19 Apr 2020 17:08:39 +0300
Message-Id: <83o8rnin4o.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkm=NrExBP77W+CYxjTvyVoYfjZ=j39byVc5hhwUXfe5Eew@HIDDEN>
 (message from Stefan Kangas on Sun, 19 Apr 2020 03:20:50 +0200)
Subject: Re: bug#40703: [PATCH] Make autoarg.el obsolete
References: <CADwFkm=NrExBP77W+CYxjTvyVoYfjZ=j39byVc5hhwUXfe5Eew@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40703
Cc: 40703 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Sun, 19 Apr 2020 03:20:50 +0200
> 
> autoarg.el "provides `autoarg-mode', a global minor mode meant to
> emulate a facility reported from Twenex Emacs whereby digit keys
> supplied prefix args rather than self inserting, with a digit sequence
> terminated by space acting to insert the digits".
> 
> While searching the web, I could find no evidence of autoarg-mode
> being discussed or even mentioned.  It is presumably not very useful
> in this day and age.  (I also found a breaking bug in autoarg-kp-mode
> where enabling it also enables autoarg-mode.  Nobody seems to have
> noticed.)
> 
> Does anyone object to marking it obsolete?

AFAIR, when we deprecate a package, it's because there's some
replacement, or because the need is completely absent (e.g., because
the package caters to some software or part of Emacs that is no longer
there).  This doesn't seem to be the case, is it?

Or does this package cause us some maintenance burden?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40703; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Apr 2020 01:21:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 18 21:21:09 2020
Received: from localhost ([127.0.0.1]:43828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jPydx-0002c2-6g
	for submit <at> debbugs.gnu.org; Sat, 18 Apr 2020 21:21:09 -0400
Received: from lists.gnu.org ([209.51.188.17]:44709)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1jPyds-0002bo-SZ
 for submit <at> debbugs.gnu.org; Sat, 18 Apr 2020 21:21:08 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41966)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <stefankangas@HIDDEN>) id 1jPyds-0008Bc-FJ
 for bug-gnu-emacs@HIDDEN; Sat, 18 Apr 2020 21:21:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.7 required=5.0 tests=FREEMAIL_FORGED_FROMDOMAIN,
 FREEMAIL_FROM,HEADER_FROM_DIFFERENT_DOMAINS,RCVD_IN_DNSWL_NONE,
 RCVD_IN_MSPIKE_H2,SPF_PASS,TO_NO_BRKTS_PCNT,URIBL_BLOCKED autolearn=no
 autolearn_force=no version=3.4.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.90_1)
 (envelope-from <stefankangas@HIDDEN>) id 1jPydr-0007K5-US
 for bug-gnu-emacs@HIDDEN; Sat, 18 Apr 2020 21:21:04 -0400
Received: from mail-yb1-f177.google.com ([209.85.219.177]:44317)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1jPydr-0007JH-6g
 for bug-gnu-emacs@HIDDEN; Sat, 18 Apr 2020 21:21:03 -0400
Received: by mail-yb1-f177.google.com with SMTP id o139so3286587ybc.11
 for <bug-gnu-emacs@HIDDEN>; Sat, 18 Apr 2020 18:21:02 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=pa7tQ7KhJXG++7G5j4vRj7zcKQplErCW+IvzvqjHZw8=;
 b=E7oqNQYb/1dCr2pM6ePCcVTeHe2D2T0/ynF9dZAUDF/WSYihHF21VS1uNzxXDtGGpY
 JXeVKNpP+vkrivBTKykfNIgCBWCmhsGhamKZUgrFkkeiTL1D/5u1WfKlRdnI8yaEKGqq
 QVlBMAAnbzGJZmeyiBjnNa98s+i7wWnglYpc8L6enUTKwLzgLSX95Nd6DLFdLQygqC/k
 BZky7D4TxLO+yTnPG4FiECLdeuN0qcSeKWXVxwjuezIC60djtWUik/YAov2ij+QNVbYw
 ysaS2g9Jfpp7k3Mktg5T5CyL31nFpp9/f9N7a4LVvS8P9HLbL6yOd5A9P5ttp7A0hDyO
 d8jA==
X-Gm-Message-State: AGi0PuYwsBzLGSpQUYv0RyMo1aF7BmEKEPtPAq9YvR6u8cbw3oDBCo/Y
 JJuaKCU9D7ZIqQwWSktoAVkx7GLMGjvCFPVw1G0lhFboFNk=
X-Google-Smtp-Source: APiQypI/FEjf7lVHjHMXsp7amCmebgyZFZ+iYDbMM+0btoJJqUhoP0064OCh8+nsSUz+6U4kLLmb7Q4ZiKkTDsMvqJ0=
X-Received: by 2002:a25:2d6:: with SMTP id 205mr5557764ybc.181.1587259261126; 
 Sat, 18 Apr 2020 18:21:01 -0700 (PDT)
MIME-Version: 1.0
From: Stefan Kangas <stefan@HIDDEN>
Date: Sun, 19 Apr 2020 03:20:50 +0200
Message-ID: <CADwFkm=NrExBP77W+CYxjTvyVoYfjZ=j39byVc5hhwUXfe5Eew@HIDDEN>
Subject: [PATCH] Make autoarg.el obsolete
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary="0000000000006d831005a39a98d9"
Received-SPF: pass client-ip=209.85.219.177;
 envelope-from=stefankangas@HIDDEN; helo=mail-yb1-f177.google.com
X-detected-operating-system: by eggs.gnu.org: Linux 2.2.x-3.x [generic] [fuzzy]
X-Received-From: 209.85.219.177
X-Spam-Score: 3.8 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Severity: wishlist autoarg.el "provides `autoarg-mode', a
 global minor mode meant to emulate a facility reported from Twenex Emacs
 whereby
 digit keys supplied prefix args rather than self inserting, with a digit
 sequenc [...] 
 Content analysis details:   (3.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stefankangas[at]gmail.com)
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.17 listed in list.dnswl.org]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 2.0 SPOOFED_FREEMAIL       No description available.
 1.0 TO_NO_BRKTS_PCNT       To: lacks brackets + percentage
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--0000000000006d831005a39a98d9
Content-Type: text/plain; charset="UTF-8"

Severity: wishlist

autoarg.el "provides `autoarg-mode', a global minor mode meant to
emulate a facility reported from Twenex Emacs whereby digit keys
supplied prefix args rather than self inserting, with a digit sequence
terminated by space acting to insert the digits".

While searching the web, I could find no evidence of autoarg-mode
being discussed or even mentioned.  It is presumably not very useful
in this day and age.  (I also found a breaking bug in autoarg-kp-mode
where enabling it also enables autoarg-mode.  Nobody seems to have
noticed.)

Does anyone object to marking it obsolete?

Best regards,
Stefan Kangas

--0000000000006d831005a39a98d9
Content-Type: text/x-patch; charset="US-ASCII"; name="0001-Make-autoarg.el-obsolete.patch"
Content-Disposition: attachment; 
	filename="0001-Make-autoarg.el-obsolete.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k96cyqd50>
X-Attachment-Id: f_k96cyqd50

RnJvbSBjMzU1YjViNWVhOTFiNzEyNWE4MGIyM2IzZGUzYmQyNjU1OTE1YjE3IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBTdGVmYW4gS2FuZ2FzIDxzdGVmYW5rYW5nYXNAZ21haWwuY29t
PgpEYXRlOiBTdW4sIDE5IEFwciAyMDIwIDAyOjU2OjU1ICswMjAwClN1YmplY3Q6IFtQQVRDSF0g
TWFrZSBhdXRvYXJnLmVsIG9ic29sZXRlCgoqIGxpc3AvYXV0b2FyZy5lbDogTW92ZSBmcm9tIGhl
cmUuLi4KKiBsaXNwL29ic29sZXRlL2F1dG9hcmcuZWw6IC4uLnRvIGhlcmUuCiogZXRjL05FV1M6
IEFubm91bmNlIHRoYXQgYXV0b2FyZy5lbCBpcyBub3cgb2Jzb2xldGUuCi0tLQogZXRjL05FV1Mg
ICAgICAgICAgICAgICAgICAgICAgIHwgNSArKysrKwogbGlzcC97ID0+IG9ic29sZXRlfS9hdXRv
YXJnLmVsIHwgMSArCiAyIGZpbGVzIGNoYW5nZWQsIDYgaW5zZXJ0aW9ucygrKQogcmVuYW1lIGxp
c3AveyA9PiBvYnNvbGV0ZX0vYXV0b2FyZy5lbCAoOTklKQoKZGlmZiAtLWdpdCBhL2V0Yy9ORVdT
IGIvZXRjL05FV1MKaW5kZXggMDI1ZDVjMTRhNy4uNDc2OTczZTllYiAxMDA2NDQKLS0tIGEvZXRj
L05FV1MKKysrIGIvZXRjL05FV1MKQEAgLTI4OCw2ICsyODgsMTEgQEAgcHJlZml4IG9uIHRoZSBT
dWJqZWN0IGxpbmUgaW4gdmFyaW91cyBsYW5ndWFnZXMuCiBUaGVzZSBuZXcgbmF2aWdhdGlvbiBj
b21tYW5kcyBhcmUgYm91bmQgdG8gJ24nIGFuZCAncCcgaW4KICdhcHJvcG9zLW1vZGUnLgogCisq
KiBUaGUgYXV0b2FyZy5lbCBsaWJyYXJ5IGlzIG5vdyBtYXJrZWQgb2Jzb2xldGUuCitUaGlzIGxp
YnJhcnkgcHJvdmlkZXMgdGhlICdhdXRvYXJnLW1vZGUnIGFuZCAnYXV0b2FyZy1rcC1tb2RlJyBt
aW5vcgorbW9kZXMgdG8gZW11bGF0ZSB0aGUgYmVoYXZpb3Igb2YgdGhlIGhpc3RvcmljYWwgZWRp
dG9yIFR3ZW5leCBFbWFjcy4KK0l0IGlzIGJlbGlldmVkIHRvIG5vIGxvbmdlciBiZSB1c2VmdWwu
CisKIAwKICogTmV3IE1vZGVzIGFuZCBQYWNrYWdlcyBpbiBFbWFjcyAyOC4xCiAKZGlmZiAtLWdp
dCBhL2xpc3AvYXV0b2FyZy5lbCBiL2xpc3Avb2Jzb2xldGUvYXV0b2FyZy5lbApzaW1pbGFyaXR5
IGluZGV4IDk5JQpyZW5hbWUgZnJvbSBsaXNwL2F1dG9hcmcuZWwKcmVuYW1lIHRvIGxpc3Avb2Jz
b2xldGUvYXV0b2FyZy5lbAppbmRleCBlYmE3YTE4N2ZhLi5iOTNkNjYzZTJmIDEwMDY0NAotLS0g
YS9saXNwL2F1dG9hcmcuZWwKKysrIGIvbGlzcC9vYnNvbGV0ZS9hdXRvYXJnLmVsCkBAIC01LDYg
KzUsNyBAQAogOzsgQXV0aG9yOiAgRGF2ZSBMb3ZlIDxmeEBnbnUub3JnPgogOzsgQ3JlYXRlZDog
MTk5OC0wOS0wNAogOzsgS2V5d29yZHM6IGFiYnJldiwgZW11bGF0aW9ucworOzsgT2Jzb2xldGUt
c2luY2U6IDI4LjEKIAogOzsgVGhpcyBmaWxlIGlzIHBhcnQgb2YgR05VIEVtYWNzLgogCi0tIAoy
LjI1LjEKCg==
--0000000000006d831005a39a98d9--




Acknowledgement sent to Stefan Kangas <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40703; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 5 Oct 2020 07:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.